%shasp_plotP

indi=input('indices of WP: [lev;block]; ?')
%example: [[2;0],[3;2],[3;3],[1;1]]
[s lindi]=size(indi);
lole1=8%input('loglength of signal;0--former; ?')
if lole1>0
    lole=lole1;
    N=2^lole;
end

 Ll=3;%input('number of upsampling levels;0--former; ?')
% if Ll1>0
%     Ll=Ll1;
%     M=N*2^(Ll-1);
% end
Par1=input('spline order;0--former; ?')
if Par1>0
    P=Par1;
end


SP=[];fSP=[];
for kk=1:lindi
    lev=indi(1,kk);
    blo=indi(2,kk);
[spli fspli]=wp_genP([lev,blo],P,N,Ll);
%SP=[SP;spli];
fSP=[fSP;fspli];
%set(gca,'FontSize',20)
end

figure;

 
 

for kk=1:lindi
a=[abs(fSP(kk,:)) ];
%a=circ_h(a,N/2);
a=a(1:N/2);
plot(a,'LineWidth',4);
hold on
axis([1,N/2, 0 3])
 set(gca,'XTick',[1 32 64 96 128])
 %set(gca,'XTickLabel',{'-2\pi','-\pi','0','pi','2pi'})
 set(gca,'XTickLabel',{'0','32','64','96','128'})   
end
 title(['\fontsize{20}Spline order: '  int2str(P)])
 set(gca,'FontSize',20)

